- Introduction
- User Guide
- 1. Getting Started
- 2. Recommended Workflows
- 3. Parallel Workspaces
- 4. Working with RFCs
- 5. Working with ADRs
- 6. Working with Work Items
- 7. Conformance Cases
- 8. Validation & Rendering
- Specifications
- 9. RFC-0000: govctl Governance Framework
- 10. RFC-0001: Lifecycle State Machines
- 11. RFC-0002: CLI Resource Model and Command Architecture
- 12. RFC-0003: TUI UX improvements
- 13. RFC-0004: Concurrent write safety for governance artifacts
- 14. RFC-0006: Loop Execution Model
- 15. RFC-0007: TUI v2 read-only cockpit
- 16. RFC-0008: Conformance Case and Declared Traceability Model
- 17. RFC-0009: Source Scan Selection and Ignore Semantics
- 18. RFC-0010: Multi-workspace coordination for parallel agents
- Decisions
- 19. ADR-0001: Use TOML for ADRs and Work Items
- 20. ADR-0002: Fix artifact lifecycle design flaws
- 21. ADR-0003: Deterministic hash signatures for rendered projections
- 22. ADR-0004: Adopt Keep a Changelog format for RFC changelogs
- 23. ADR-0005: CLI output color scheme and formatting
- 24. ADR-0006: Global dry-run support for content-modifying commands
- 25. ADR-0007: Ergonomic array field matching for remove and tick commands
- 26. ADR-0008: Add refs field to RfcSpec for artifact cross-referencing
- 27. ADR-0009: Configurable source code reference scanning
- 28. ADR-0010: Validate work item descriptions for placeholder content
- 29. ADR-0011: Inline reference expansion in rendered content
- 30. ADR-0012: Prefix-based changelog category parsing
- 31. ADR-0013: Add category field to acceptance criteria for changelog generation
- 32. ADR-0014: Release management with releases.toml
- 33. ADR-0015: Context-aware self-describing CLI for agent discoverability
- 34. ADR-0016: Allow RFC amendments via versioning during implementation
- 35. ADR-0017: CLI Command Implementation Details
- 36. ADR-0018: Global Command Shortcuts vs Strict Resource-First Syntax
- 37. ADR-0019: Change -n from dry-run to limit for better Unix convention alignment
- 38. ADR-0020: Configurable work item ID strategies for multi-person collaboration
- 39. ADR-0021: Resource-scoped render commands for single-item rendering
- 40. ADR-0022: Add show command for stdout rendering
- 41. ADR-0023: Organize assets into commands, skills, and agents subdirectories
- 42. ADR-0024: Writers as skills, reviewers as agents for governance artifacts
- 43. ADR-0025: Concurrent write safety for agent-driven parallel tasks
- 44. ADR-0026: Add journal field to WorkItem for execution tracking
- 45. ADR-0027: Extend Alternative structure with pros, cons, and rejection_reason
- 46. ADR-0028: Migrate commands to skills format for cross-platform compatibility
- 47. ADR-0029: Path-based nested field addressing for artifact edits
- 48. ADR-0030: Parser strategy for path-based field expressions
- 49. ADR-0031: Unified Artifact Edit Engine with SSOT and Format Adapters
- 50. ADR-0032: Migration skill for adopting govctl in existing projects
- 51. ADR-0033: Distribute govctl agent integration as Claude Code plugin
- 52. ADR-0034: Use TOML as the canonical storage format for all governance artifacts
- 53. ADR-0035: Decouple skill and agent installation from project initialization
- 54. ADR-0036: Restructure ADR chosen-option and migration semantics
- 55. ADR-0037: Canonical edit surface for nested artifact mutation
- 56. ADR-0038: Keep ADR schema discussion-oriented and avoid broad migration
- 57. ADR-0039: Use SQLite FTS5 as read-only search index for governance artifacts
- 58. ADR-0040: Controlled-vocabulary tags for governance artifacts
- 59. ADR-0041: Self-update and cargo-binstall binary distribution
- 60. ADR-0042: Enforce ADR writing order with structural gates
- 61. ADR-0043: Redirect journal entries to local .govctl storage
- 62. ADR-0044: Unified loop model for single and multi-WI execution
- 63. ADR-0045: Work item dependency declaration via depends_on field
- 64. ADR-0046: Use loop-centric execution state storage
- 65. ADR-0047: Remove journal from work item field surface for loop-centric execution state
- 66. ADR-0048: Use local artifact catalog for direct lookup
- 67. ADR-0049: Adopt read-only cockpit model for TUI v2
- 68. ADR-0050: Preserve direct clause supersession chains
- 69. ADR-0051: Scope terminal lifecycle states to revision and release boundaries
- 70. ADR-0052: Assign ADR projection structure to canonical authoring surfaces
- 71. ADR-0053: Use guarded latest-only undo for local release cuts
- 72. ADR-0054: Bind RFC version bumps to sealed-version amendments
- 73. ADR-0055: Separate current show projections from archival rendering
- 74. ADR-0056: Adopt a canonical-only compatibility boundary
- 75. ADR-0057: Prefer policy-oriented agent guidance
- 76. ADR-0058: Use parser-owned CLI introspection
- 77. ADR-0059: Use project-root selection with layered ignore rules
- 78. ADR-0060: Build releases with Zig and preserve target aliases
- 79. ADR-0061: Use one agent integration command with client-specific projections
- 80. ADR-0062: Branch-versioned governance with a shared coordination registry
- 81. ADR-0063: Relax ADR alternative thresholds to stop fabricated options
- 82. ADR-0064: Run guard commands in a non-login shell that inherits the caller environment
- 83. ADR-0065: Keep the gov-root write lock in workspace-local state